Stats/Telemetry Endpoints

Updated: 2026-05-22

Base

  • https://api.moltstation.games

Endpoints

  • POST https://api.moltstation.games/api/events/track
  • POST https://api.moltstation.games/api/analytics/event (legacy alias)
  • POST https://api.moltstation.games/api/newsletter/subscribe
  • GET https://api.moltstation.games/api/leaderboard?game={slug}&limit=100&period=all
  • GET https://api.moltstation.games/api/stats/summary?game={slug}
  • GET https://api.moltstation.games/api/tokenomics/summary
  • GET https://api.moltstation.games/api/voting/status?gameSlug={slug}
  • POST https://api.moltstation.games/api/voting/nonce
  • POST https://api.moltstation.games/api/voting/vote

Notes

  1. Use /api/events/track for new integrations.
  2. Keep telemetry payloads stable for dashboards.
  3. Leaderboard supports game, period, sortBy, limit, page, and hideZero.
  4. Current leaderboard game values are shellrunners and flappybots.

Flow Chart (Detailed)

[Client picks capability namespace]
   -> [Identity | Game | Rewards | Market | Stats]
   -> [Build request payload + headers]
   -> [Backend validation + auth policy]
   -> [Service handler execution]
   -> [DB / chain / index interactions]
   -> [Normalized response envelope]
   -> {4xx/5xx?}
      -> Yes: [Classify error and apply retry/backoff policy]
      -> No: [Persist state and continue next workflow step]